ClarisDrawParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
ClarisDrawParser Class Reference

the main class to read a ClarisDraw v1 file More...

`#include <ClarisDrawParser.hxx>`

Inheritance diagram for ClarisDrawParser:

## Public Member Functions
| ClarisDrawParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~ClarisDrawParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| the main parse function More...
int | getFileType (int zoneId) const
| returns the file type corresponding to a zone id More...
MWAWVec2f | getPageLeftTop ()
| returns the page left top point ( in inches) More...
bool | sendTextZone (int number, int subZone=-1)
| sends a text zone More...
Public Member Functions inherited from MWAWGraphicParser
virtual | ~MWAWGraphicParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different objects zones More...
bool | readZone ()
| try to read a zone More...
bool | readDocHeader ()
| try to read a document header More...
bool | readLibraryHeader ()
| try to read the library header More...
shared_ptr< ClarisWksStruct::DSET > | readDSET (bool isLibHeader=false)
| try to read a DSET structure More...
bool | readPrintInfo ()
| try to read the print info zone More...
bool | readDocInfo ()
| try to read the document info zone More...
bool | readLayouts ()
| try to read the layout More...
bool | readLibraryNames ()
| try to read the library names(two zone) More...
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWGraphicParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< ClarisDrawParserInternal::State > | m_state
| the state More...
shared_ptr< ClarisDrawStyleManager > | m_styleManager
| the style manager More...
shared_ptr< ClarisDrawGraph > | m_graphParser
| the graph parser More...
shared_ptr< ClarisDrawText > | m_textParser
| the text parser More...

## Friends
class | ClarisDrawGraph
class | ClarisDrawText

## Detailed Description

the main class to read a ClarisDraw v1 file

## Constructor & Destructor Documentation

## § ClarisDrawParser()

ClarisDrawParser::ClarisDrawParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## § ~ClarisDrawParser()

ClarisDrawParser::~ClarisDrawParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § checkHeader()

bool ClarisDrawParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## § createDocument()

void ClarisDrawParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## § createZones()

bool ClarisDrawParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## § getFileType()

int ClarisDrawParser::getFileType | ( | int | zoneId | ) | const

returns the file type corresponding to a zone id

Referenced by ClarisDrawGraph::sendGroup(), ClarisDrawGraph::sendMainGroupChild(), and ClarisDrawGraph::updateGroup().

## § getPageLeftTop()

MWAWVec2f ClarisDrawParser::getPageLeftTop | ( |  | ) |

returns the page left top point ( in inches)

Referenced by createDocument(), ClarisDrawGraph::flushExtra(), and parse().

## § init()

void ClarisDrawParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by ClarisDrawParser().

## § parse()

void ClarisDrawParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

the main parse function

Implements MWAWGraphicParser.

## § readDocHeader()

bool ClarisDrawParser::readDocHeader | ( |  | ) |
| protected

try to read a document header

Referenced by createZones().

## § readDocInfo()

bool ClarisDrawParser::readDocInfo | ( |  | ) |
| protected

try to read the document info zone

Referenced by readDocHeader().

## § readDSET()

shared_ptr< ClarisWksStruct::DSET > ClarisDrawParser::readDSET | ( | bool | isLibHeader = `false` | ) |
| protected

try to read a DSET structure

Referenced by readLibraryHeader(), and readZone().

## § readLayouts()

bool ClarisDrawParser::readLayouts | ( |  | ) |
| protected

try to read the layout

Referenced by readDocHeader().

## § readLibraryHeader()

bool ClarisDrawParser::readLibraryHeader | ( |  | ) |
| protected

try to read the library header

Referenced by createZones().

## § readLibraryNames()

bool ClarisDrawParser::readLibraryNames | ( |  | ) |
| protected

try to read the library names(two zone)

Referenced by readLibraryHeader().

## § readPrintInfo()

bool ClarisDrawParser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by readDocHeader().

## § readZone()

bool ClarisDrawParser::readZone | ( |  | ) |
| protected

try to read a zone

Referenced by createZones().

## § sendTextZone()

bool ClarisDrawParser::sendTextZone | ( | int | number,
|  | int | subZone = `-1`
| ) |  |

sends a text zone

Referenced by ClarisDrawGraph::sendTextZone().

## Friends And Related Function Documentation

## § ClarisDrawGraph

friend class ClarisDrawGraph
| friend

Referenced by init().

## § ClarisDrawText

friend class ClarisDrawText
| friend

Referenced by init().

## Member Data Documentation

## § m_graphParser

shared_ptr<ClarisDrawGraph> ClarisDrawParser::m_graphParser
| protected

the graph parser

Referenced by createDocument(), init(), parse(), readDocHeader(), readDSET(), and readLibraryHeader().

## § m_state

shared_ptr<ClarisDrawParserInternal::State> ClarisDrawParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getFileType(), init(), parse(), readDocHeader(), readDocInfo(), readDSET(), readLayouts(), readLibraryHeader(), and readLibraryNames().

## § m_styleManager

shared_ptr<ClarisDrawStyleManager> ClarisDrawParser::m_styleManager
| protected

the style manager

Referenced by init(), readDocHeader(), readLibraryHeader(), and readZone().

## § m_textParser

shared_ptr<ClarisDrawText> ClarisDrawParser::m_textParser
| protected

the text parser

Referenced by init(), readDocHeader(), readDSET(), readLibraryHeader(), and sendTextZone().

The documentation for this class was generated from the following files:

- ClarisDrawParser.hxx
- ClarisDrawParser.cxx